import type { NextApiRequest, NextApiResponse } from 'next';
type Preloaded = {
    handlers: any[];
    packages: any[];
};
export declare function preloadQueries(deep: any): Promise<{
    packagesQ: {
        type_id: {
            _nin: any[];
        };
        up: {
            tree_id: {
                _eq: any;
            };
            parent: {
                type_id: {
                    _eq: any;
                };
                string: {
                    value: {
                        _neq: string;
                    };
                };
            };
        };
        return: {
            _version: {
                relation: string;
                type_id: any;
            };
        };
    };
    packagesO: {
        apply: string;
    };
    handlersQ: {
        execution_provider_id: {
            _eq: any;
        };
        return: {
            dist: {
                relation: string;
            };
        };
    };
    handlersO: any;
}>;
export declare function preloadApi(path?: any, secret?: string, token?: string, ssl?: boolean): Promise<(req: NextApiRequest, res: NextApiResponse<Preloaded>) => Promise<void>>;
export declare function getServerSidePropsPreload(arg: any, result: any): Promise<any>;
export {};
